/**
 * 
 */
package de.bsvrz.buv.plugin.darstellung.editpolicies;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import de.bsvrz.buv.plugin.darstellung.commands.DeleteEbeneCommand;
import de.bsvrz.buv.plugin.darstellung.model.Ebene;

/**
 * {@link ComponentEditPolicy} die das Lschen einer {@link Ebene} steuert.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 */
public class EbeneEditPolicy extends ComponentEditPolicy {

	@Override
	protected Command createDeleteCommand(final GroupRequest deleteRequest) {
		final Ebene ebene = (Ebene) getHost().getModel();
		return new DeleteEbeneCommand(ebene);
	}

}
