package de.bsvrz.buv.plugin.dobj.internal;

import org.eclipse.osgi.util.NLS;

/**
 * Enthlt die bersetzungen des Plug-ins <em>Darstellungsobjekte</em>.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 */
public class DobjMessages extends NLS {

	/** Label fr das Handwerkzeug zum Verschieben des anzeigten Ausschnitts. */
	public static String Pan_Label;

	/** Tooltip fr das Handwerkzeug zum Verschieben des anzeigten Ausschnitts. */
	public static String Pan_Tooltip;

	/** Label fr das Hineinzoomen in einen Ausschnitts. */
	public static String RectangleZoom_Label;

	/** Tooltip fr das Hineinzoomen in einen Ausschnitts. */
	public static String RectangleZoom_Tooltip;

	/** Label fr die Aktion zum Online-/Offlineschalten einer Darstellung. */
	public static String ToggleOnline_Label;

	/** Tooltip fr die Aktion zum Online-/Offlineschalten einer Darstellung. */
	public static String ToggleOnline_Tooltip;

	/** Label fr das Tool Streckenselektion. */
	public static String StreckeSelection_Label;

	/** Tooltip fr das Tool Streckenselektion. */
	public static String StreckeSelection_Tooltip;

	/** Label fr das Tool Rechteckselektion. */
	public static String RectangleSelection_Label;

	/** Tooltip fr das Tool Rechteckselektion. */
	public static String RectangleSelection_Tooltip;

	/** Label fr das Tool Ellipsenselektion. */
	public static String EllipseSelection_Label;

	/** Tooltip fr das Tool Ellipsenselektion. */
	public static String EllipseSelection_Tooltip;

	/** Label zur Beibehalteung des Ausschnitts. */
	public static String ToggleFixViewport_Label;

	/** Tooltip zur Beibehalteung des Ausschnitts. */
	public static String ToggleFixViewport_Tooltip;

	/** Label fr die Action zum Ein-/Ausschalten der Teilselektion. */
	public static String ToggleTouchedSelection_Label;

	/** Tooltip fr die Action zum Ein-/Ausschalten der Teilselektion. */
	public static String ToggleTouchedSelection_Tooltip;

	/**
	 * Label fr die Action zum Ein-/Ausschalten des sofortigen
	 * Selektionsfeedbacks.
	 */
	public static String ToggleSelectionFeedback_Label;

	/**
	 * Tooltip fr die Action zum Ein-/Ausschalten des sofortigen
	 * Selektionsfeedbacks.
	 */
	public static String ToggleSelectionFeedback_Tooltip;

	/**
	 * Label fr die Aktion zum Ein-/Ausblenden der Verbindungsinien zwischen
	 * einem verschobenen Objekt und seiner Originalposition.
	 */
	public static String ToggleVerbindungslinie_Label;

	/**
	 * Label fuer die Aktion zum Ein-/Ausblenden des Filters fuer <b>alle</b>
	 * gueltige Baustellen.
	 */
	public static String ToggleBaustelleGueltig_Label;

	/**
	 * Tooltip fr die Aktion zum Ein-/Ausblenden der Verbindungsinien zwischen
	 * einem verschobenen Objekt und seiner Originalposition.
	 */
	public static String ToggleVerbindungslinie_Tooltip;

	/**
	 * Tooltip fuer die Aktion zum Ein-/Ausblenden des Filters fuer <b>alle</b>
	 * gueltige Baustellen.
	 */
	public static String ToggleBaustelleGueltig_Tooltip;

	public static String ToggleAntiKollisionsAlgorithmus_Label;

	public static String ToggleAntiKollisionsAlgorithmus_Tooltip;

	static {
		NLS.initializeMessages(
				"de.bsvrz.buv.plugin.dobj.internal.messages", DobjMessages.class); //$NON-NLS-1$
	}

}
