package de.bsvrz.buv.plugin.dobj.requests;

import org.eclipse.gef.Request;

public class KollisionsAlgorithmusRequest extends Request {

	private final boolean kollisionsAlgorithmusAn;

	public KollisionsAlgorithmusRequest(final boolean kollisionsAlgorithmusAn) {
		super(DobjRequestConstants.REQ_KOLLISIONSALGORITHMUS);
		this.kollisionsAlgorithmusAn = kollisionsAlgorithmusAn;
	}

	public boolean isKollisionsAlgorithmusAn() {
		return kollisionsAlgorithmusAn;
	}

}
