package de.bsvrz.buv.plugin.darstellung.wizards;

import de.bsvrz.buv.plugin.darstellung.model.DarstellungPackage;

/**
 * Wizard zum Exportieren von Ansichten.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 */
public class AnsichtExportWizard extends AbstractExportWizard {

	/**
	 * Initialisiert den Wizard.
	 */
	public AnsichtExportWizard() {
		super(DarstellungPackage.Literals.ANSICHT);
	}

	@Override
	protected AbstractExportWizardPage createExportPage() {
		return new AnsichtExportWizardPage(AnsichtExportWizardPage.class
				.getName());
	}

}
