package de.bsvrz.buv.plugin.darstellung.wizards;

import de.bsvrz.buv.plugin.darstellung.model.DarstellungPackage;
import de.bsvrz.buv.plugin.darstellung.util.AnsichtenEinstellungen;

/**
 * Parametriert die Wizard Page zum Exportieren von Ansichten.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 */
public class AnsichtExportWizardPage extends AbstractExportWizardPage {

	/**
	 * Initialisiert die Wizard Page.
	 */
	public AnsichtExportWizardPage(final String pageName) {
		super(pageName, DarstellungPackage.Literals.ANSICHT,
				AnsichtenEinstellungen.INSTANCE);

		setTitle("Ansicht exportieren");
		setDescription("Bitte whlen Sie eine oder mehrere Ansichten aus, die exportiert werden sollen.");
	}

}
