package de.bsvrz.buv.plugin.darstellung.wizards;

import de.bsvrz.buv.plugin.darstellung.model.DarstellungPackage;
import de.bsvrz.buv.plugin.darstellung.util.DarstellungenEinstellungen;

/**
 * Parametriert die Wizard Page zum Exportieren von Darstellungen.
 * 
 * @author BitCtrl Systems GmbH, Falko Schumann
 * @version $Id$
 */
public class DarstellungExportWizardPage extends AbstractExportWizardPage {

	/**
	 * Initialisiert die Wizard Page.
	 */
	public DarstellungExportWizardPage(final String pageName) {
		super(pageName, DarstellungPackage.Literals.DARSTELLUNG,
				DarstellungenEinstellungen.INSTANCE);

		setTitle("Darstellung exportieren");
		setDescription("Bitte whlen Sie eine oder mehrere Darstellungen aus, die exportiert werden sollen.");
	}

}
